Name:		fluxconf
Version:	0.9.9
Release:	%mkrel 2
Summary:	Configuration utility for fluxbox
URL:		http://devaux.fabien.free.fr/flux
Source:		http://devaux.fabien.free.fr/flux/%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		Graphical desktop/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:	automake1.7

%description
This application allows you to configure most Fluxbox settings
graphically.

%prep
%setup -q
# Don't build with -Werror, I am not fixing warnings in years-old code
sed -i -e 's,-Werror,,g' src/Makefile.am

%build
%configure2_5x
%make

%install
%__rm -rf %{buildroot} %{name}.lang
%makeinstall

%find_lang %{name}

pushd %{buildroot}%{_bindir}
ln -sf fluxconf fluxbare
ln -sf fluxconf fluxkeys
ln -sf fluxconf fluxmenu
popd

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/fluxconf
%{_bindir}/fluxkeys
%{_bindir}/fluxbare
%{_bindir}/fluxmenu
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog INSTALL README



%changelog
* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.9.9-2mdv2008.1
+ Revision: 175971
- buildrequires automake1.7
- rebuild for new era
- don't use /usr/X11R6 any more
- new license policy
- minor spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - import fluxconf

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu May 04 2006 Jerome Soyer <saispo@mandriva.org> 0.9.9-1mdk
- New release 0.9.9

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 0.9.8-3mdk
- fix buildrequires

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 0.9.8-2mdk
- fix broken symlinks

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 0.9.8-1mdk
- fix installation
- New release 0.9.8

* Thu Jan 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-2mdk
- rebuild

* Fri Dec 19 2003 Han Boetes <han@linux-mandrake.com> 0.9.7-1mdk
- bump

* Wed Dec 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6

* Thu Sep 25 2003 Han Boetes <han@linux-mandrake.com> 0.9.5-1mdk
- Bump. Thanks fab ;)

* Fri Apr 25 2003 Han Boetes <han@linux-mandrake.com> 0.9.4-2mdk
- Stephans magic bot found some missing builddeps.

* Mon Jan 20 2003 Han Boetes <han@linux-mandrake.com> 0.9.4-1mdk
- Bump. Thanks fab ;)
- I can always find things to improve.

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Fri Dec 27 2002 Han Boetes <han@linux-mandrake.com> 0.9.1-2mdk
- rebuilt because of new rpm macros and new glibc

* Tue Nov  5 2002 Han Boetes <han@linux-mandrake.com> 0.9.1-1mdk
- Bump

* Thu Aug 15 2002 Han Boetes <han@linux-mandrake.com> 0.8.7-1mdk
- Bump.

* Wed Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Tue Jun 18 2002 Han Boetes <han@mijncomputer.nl> 0.8.3-1mdk
- fab is in the mood. Bump. Bump. Bump. Bump.

* Tue Jun 18 2002 Han Boetes <han@mijncomputer.nl> 0.8.2-1mdk
- fab is in the mood. Bump. Bump. Bump. Bump.

* Tue Jun 18 2002 Han Boetes <han@mijncomputer.nl> 0.8.1-1mdk
- Bump.

* Wed Jun 12 2002 Han Boetes <han@mijncomputer.nl> 0.7.2-1mdk
- Bump.

* Tue Jun 11 2002 Han Boetes <han@mijncomputer.nl> 0.7-2mdk
- And now the right one.

* Tue Jun 11 2002 Han Boetes <han@mijncomputer.nl> 0.7-1mdk
- Initial mdk release.
